org.bdgenomics.adam.rdd

# InFormatterCompanion

###
Related Doc: package rdd

#### trait InFormatterCompanion[T, U <: GenomicRDD[T, U], V <: InFormatter[T, U, V]] extends AnyRef

A trait for singleton objects that build an InFormatter from a GenomicRDD.

Often, when creating an outputstream, we need to add metadata to the output that is not attached to individual records. An example of this is writing a header with contig/read group/format info, as is done with SAM/BAM/VCF.

T

  The type of the records this InFormatter writes out.

U

  The type of the GenomicRDD this companion object understands.

V

  The type of InFormatter this companion object creates.

Linear Supertypes
AnyRef, Any
Known Subclasses
AnySAMInFormatterCompanion, BAMInFormatter, BEDInFormatter, FASTQInFormatter, GFF3InFormatter, GTFInFormatter, InterleavedFASTQInFormatter, NarrowPeakInFormatter, SAMInFormatter, Tab5InFormatter, Tab6InFormatter, VCFInFormatter
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InFormatterCompanion
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def apply(gRdd: U): V

   Creates an InFormatter from a GenomicRDD.

   Creates an InFormatter from a GenomicRDD.

   gRdd

     The GenomicRDD to get metadata from.

   returns

     Returns an InFormatter with attached metadata.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### def toString(): String

    Definition Classes
      AnyRef → Any

17. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped